Groovy Documentation

## groovy.lang
[Java] Class MetaExpandoProperty

    java.lang.Object
      groovy.lang.MetaProperty
          groovy.lang.MetaExpandoProperty

    public class MetaExpandoProperty
    extends MetaProperty

Represents a property in an Expando object

Authors:
  John Stump

Version:
  \$Revision\$

Field Summary

Fields inherited from class MetaProperty
PROPERTY_SET_PREFIX, name, type

Constructor Summary
`MetaExpandoProperty(Entry entry)`

Method Summary
`java.lang.Object` | `getProperty(java.lang.Object object)` @return the property of the given object
`void` | `setProperty(java.lang.Object object, java.lang.Object newValue)` Sets the property on the given object to the new value

Methods inherited from class MetaProperty
getGetterName, getModifiers, getName, getProperty, getSetterName, getType, setProperty

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### MetaExpandoProperty

    public MetaExpandoProperty(Entry entry)

Method Detail

### getProperty

    public java.lang.Object getProperty(java.lang.Object object)

  throws:
    Exception if the property could not be evaluated
  Returns:
    the property of the given object

### setProperty

    public void setProperty(java.lang.Object object, java.lang.Object newValue)

  Sets the property on the given object to the new value
  Parameters:
    `object` - on which to set the property
    `newValue` - the new value of the property

Groovy Documentation